PostgreSQL 7.2.1 Documentation
Prev |  | Next

# CREATE CONSTRAINT TRIGGER

## Name

CREATE CONSTRAINT TRIGGER -- define a new constraint trigger

## Synopsis

    CREATE CONSTRAINT TRIGGER name
        AFTER events ON
        relation constraint attributes
        FOR EACH ROW EXECUTE PROCEDURE func '(' args ')'

### Inputs

`name`

  The name of the constraint trigger.

`events`

  The event categories for which this trigger should be fired.

`relation`

  Table name of the triggering relation.

`constraint`

  Actual constraint specification.

`attributes`

  Constraint attributes.

`func`(`args`)

  Function to call as part of the trigger processing.

### Outputs

`CREATE CONSTRAINT`

  Message returned if successful.

## Description

CREATE CONSTRAINT TRIGGER is used from inside of CREATE/ALTER TABLE and by pg_dump to create the special triggers for referential integrity.

It is not intended for general use.

Prev | Home | Next
CREATE AGGREGATE | Up | CREATE DATABASE